$(document).ready(function() {
    // Hide 'Change' buttons
    $(".changelinesbutton").hide();

    $(".refresh").click(function() {
      var tmp = $(this).attr("id").split(/_/);
      var div = tmp[1];
      var type = tmp[2];

      doRefresh(div, type);
      return false;
    });

});

function scrollToBottom(div) {
    var bottom = $("#bottom"+div);
    $("#"+div).stop().scrollTo(bottom, 400);
}


// Calls refreshLogs() every 15s
/*
function setTimer() {
  var t = setTimeout('refreshLogs()', 3000);
}

function refreshLogs() {
  // Refresh shibd and transaction
  doRefresh("shibd");
  doRefresh("transaction");
  setTimer();
}
*/
// Perform AJAX load and div update
function doRefresh(div, type) {
  var now = new Date();
  var lines = $("#"+div+"lines").val();

  $.ajax({
    type: "GET",
    cache: false,
    url: "read.php",
    dataType: "html",
    data: {file : div, time : now.getTime(), readlines : lines, readtype : type},
    beforeSend: function(obj) {
	$("#refresh_"+div+"_"+type).html('<img src="img/loading.gif" alt="Loading" />');
    },
    error: function(obj, what, another) {
    	alert("Error loading AJAX");
    },
    success: function(data) {
    	$("#"+div+"-content").html(data);

	// Restore 'refresh' text
	$("#refresh_"+div+"_"+type).html('refresh');

	// Scroll to bottom
	var bottom = $("#bottom"+div);
	$("#"+div).stop().scrollTo(bottom, 400);
    }
    });
}

// vim: sw=2
