<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<?php
/*
 * Shibboleth SP Log viewer.
 *
 *  Jorge López Pérez <jorgelp@us.es>
 */

 include_once('config.inc.php');
 include_once('operations.inc.php');

 // Is there any SP?
 if (empty($paths['sp_logs'])) {
	echo "No SPs active";
	exit();
 }

 // Lines to show
 if (isset($_GET['shibdlines']) && preg_match('/\d+/', $_GET['shibdlines'])) {
	$shibdlines = $_GET['shibdlines'];
 } else {
	$shibdlines = $defaultlines;
 }

 if (isset($_GET['transactionlines']) && preg_match('/\d+/', $_GET['transactionlines'])) {
	$transactionlines = $_GET['transactionlines'];
 } else {
	$transactionlines = $defaultlines;
 }


?>

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
 <head>
	<title>Shibboleth SP log viewer</title>
	<script language="javascript" type="text/javascript" src="js/jquery-1.2.2.min.js"> </script>

	<script language="javascript" type="text/javascript" src="js/logs.js"> </script>
	<script language="javascript" type="text/javascript" src="js/jquery.scrollTo-min.js"> </script>
   <style type="text/css" media="all">@import "style.css";</style>
 </head>

 <body onload="javascript:scrollToBottom('shibd')">

  <h1>Shibboleth SP log viewer</h1>

 <?php loginterface('shibd', $shibdlines, 'sp'); ?>
 <?php loginterface('transaction', $transactionlines, 'sp'); ?>
 <?php footer(); ?>

 </body>
</html>
